#
# spec file for package perl-No-Worries
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-No-Worries
Version:        1.4
Release:        1.1
%define cpan_name No-Worries
Summary:        Coding Without Worries
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/No-Worries/
Source0:        http://www.cpan.org/authors/id/L/LC/LCONS/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(HTTP::Date)
BuildRequires:  perl(Params::Validate)
BuildRequires:  perl(URI::Escape)
Requires:       perl(HTTP::Date)
Requires:       perl(Params::Validate)
Requires:       perl(URI::Escape)
%{perl_requires}

%description
This module and its sub-modules ease coding by providing consistent
convenient functions to perform frequently used programming tasks.

This module also exposes the $HostName and $ProgramName variables that
represent what the sub-modules think the host name or program name is.
These variables can be changed, if needed.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README VERSION

%changelog
* Wed Nov 23 2016 coolo@suse.com
- updated to 1.4
  see /usr/share/doc/packages/perl-No-Worries/Changes
  1.4	Mon Nov 21 2016
  * No::Worries::File: added a binary option and changed the binmode
  option to be transparent wrt binmode().
  * No::Worries::File: added a handle option.
* Thu Oct  6 2016 coolo@suse.com
- updated to 1.3
  see /usr/share/doc/packages/perl-No-Worries/Changes
  1.3	Wed Oct  5 2016
  * No::Worries::Date: handle times in scientific notation.
* Fri Apr 17 2015 coolo@suse.com
- initial package $version
  * created by $NAME $VERSION
